#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-10LVcyDew2FEYUpBznrGQ3
key:                  hoogle-5.0.18.4-10LVcyDew2FEYUpBznrGQ3
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  966158c5118faefb1ca26557c83db2bc
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-10LVcyDew2FEYUpBznrGQ3
include-dirs:         /usr/lib/ghc-9.0.2/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-CQrltMH9CDMIjEPyrki3TE
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib base-4.15.1.0 binary-0.8.8.0
    blaze-html-0.9.1.2-CxyLr2IFqCO7z8E5UqfAvU
    blaze-markup-0.8.3.0-5yodtnkqORU3aR0cYRRNtl bytestring-0.10.12.1
    cmdargs-0.10.22-LMGehiIpWZC4X4EZqKH5Yu
    conduit-1.3.5-LZOcxy33cqcBpisPJFR69D
    conduit-extra-1.3.6-4giwc0tYp0U4M9cTjeKPsC containers-0.6.4.1
    crypton-connection-0.3.2-7zM4IcaKLoRCFoc7oNF5yp deepseq-1.4.5.0
    directory-1.3.6.2 extra-1.7.14-DtzIfRYPdKwKG7ww90MJHk
    filepath-1.4.2.1 foundation-0.0.30-A8DRuLoJwtSFasOhS1balK
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    haskell-src-exts-1.23.1-BYe1gVz550R3JaXOMRjyrQ
    http-conduit-2.3.8.3-Gny0cBcPob0Gu1J1LGWExU
    http-types-0.12.3-Lqzr84ReqW67X7V2trk2er
    js-flot-0.8.3-59BX6eNV5k1AHgrvzz49bI
    js-jquery-3.3.1-KluqahBJRasGfcoRpV8ryq
    mmap-0.5.9-2PmpclPM54rLuoCJMVeXaO
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh
    process-extras-0.7.4-K5adPO12SPP4ilna01P8jL
    resourcet-1.2.6-23yLJyvo719CvYWIjW3gEg
    safe-0.3.21-G7DEioSbQCk6KFz8UxAFz4
    storable-tuple-0.1-ISgheHXsMZylu8tYhTOyO
    tar-0.5.1.1-AFnzRcxDjjT6h9zOVvLDFV template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-31uTJwKgUdw57JyFevg0DR
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl
    wai-3.2.4-Bn4odUqK6yvJtLGI17IGIc
    wai-logger-2.4.0-Gwk7P4UWzXyDeQQMW7Od1c
    warp-3.3.30-LlPLNyjsdzaBqaaHOZlHpy
    warp-tls-3.4.4-73B7CTECYkJ3JPnga572EK
    zlib-0.6.3.0-7dyta8qtrVeTN5i5Nwtef

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

